petsc-3.12.1 2019-10-22
Report Typos and Errors

# PCFieldSplitSetGKBMaxit

Sets the maximum number of iterations for the generalized Golub-Kahan bidiagonalization preconditioner.

### Synopsis

    #include "petscpc.h"
    PetscErrorCode PCFieldSplitSetGKBMaxit(PC pc,PetscInt maxit)

Collective on PC

### Input Parameters

| pc | - the preconditioner context
| maxit | - the maximum number of iterations

### Options Database

-pc_fieldsplit_gkb_maxit -default is 100

### See Also

PCFIELDSPLIT, PCFieldSplitSetGKBDelay(), PCFieldSplitSetGKBTol(), PCFieldSplitSetGKBNu()

### Level

intermediate

### Location

src/ksp/pc/impls/fieldsplit/fieldsplit.c

### Implementations

PCFieldSplitSetGKBMaxit_FieldSplit in src/ksp/pc/impls/fieldsplit/fieldsplit.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages